#pragma once

#include <string>
#include<GLEW/glew.h>
#include <vector>

namespace Inbetween
{
	class Texture
	{
	public:
		Texture();
		Texture(const char* path);
		~Texture();

		void bind(int unit);
		GLuint loadCubemap(std::vector<const GLchar*> faces);
		void loadTexture(const char* path);
		GLuint textureSampling();
		void mipMaping(int mipmaping);
		int texturesampling = 0;
		int mipmaping = 0;
		
		GLuint handle;

	private:
		

		int * height;
		int * width;
		unsigned char* image;

	};
}

