#version 330 core
layout (location = 0) in vec3 position;

out vec3 fragmentUV;

uniform mat4 view_projection;

void main()
{
	fragmentUV = position;
	vec4 pos = view_projection * vec4(position, 1.0);
    gl_Position = pos.xyzw;   
}  