#include "LoadRessources.h"

using namespace Inbetween;
using namespace Inbetween::Ressources;
using namespace Inbetween::scene;

LoadRessources::LoadRessources()
{
}


LoadRessources::~LoadRessources()
{
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadCollisionloadLevel01()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> l1cM;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> C01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/01.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/02.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C03 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/03.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C04 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/04.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C05 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/05.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C06 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/06.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C07 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/07.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C08 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/08.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C09 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/09.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C10 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/10.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C11 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/11.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C12 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/12.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C13 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/13.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C14 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/14.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C15 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/15.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C16 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/16.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C17 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/17.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C18 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/18.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C19 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/19.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C20 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/20.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C21 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/21.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C22 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/22.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C23 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/23.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C24 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/24.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C25 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/25.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C26 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/26.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C27 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/27.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C28 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/28.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C29 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/29.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C30 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/30.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C31 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/31.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C32 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/32.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C33 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/33.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C34 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/34.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C35 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/35.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C36 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/36.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C37 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/37.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C38 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/38.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C39 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/39.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C40 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/40.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C41 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/41.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C42 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/42.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C43 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/43.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C44 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/44.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C45 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/45.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C46 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/46.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C47 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/47.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C48 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/CollisionBoxes/48.obj", glm::mat4(1.0f), cam.get());


	l1cM["C01"] = move(C01);
	l1cM["C02"] = move(C02);
	l1cM["C03"] = move(C03);
	l1cM["C04"] = move(C04);
	l1cM["C05"] = move(C05);
	l1cM["C06"] = move(C06);
	l1cM["C07"] = move(C07);
	l1cM["C08"] = move(C08);
	l1cM["C09"] = move(C09);
	l1cM["C10"] = move(C10);
	l1cM["C11"] = move(C11);
	l1cM["C12"] = move(C12);
	l1cM["C13"] = move(C13);
	l1cM["C14"] = move(C14);
	l1cM["C15"] = move(C15);
	l1cM["C16"] = move(C16);
	l1cM["C17"] = move(C17);
	l1cM["C18"] = move(C18);
	l1cM["C19"] = move(C19);
	l1cM["C20"] = move(C20);
	l1cM["C21"] = move(C21);
	l1cM["C22"] = move(C22);
	l1cM["C23"] = move(C23);
	l1cM["C24"] = move(C24);
	l1cM["C25"] = move(C25);
	l1cM["C26"] = move(C26);
	l1cM["C27"] = move(C27);
	l1cM["C28"] = move(C28);
	l1cM["C29"] = move(C29);
	l1cM["C30"] = move(C30);
	l1cM["C31"] = move(C31);
	l1cM["C32"] = move(C32);
	l1cM["C33"] = move(C33);
	l1cM["C34"] = move(C34);
	l1cM["C35"] = move(C35);
	l1cM["C36"] = move(C36);
	l1cM["C37"] = move(C37);
	l1cM["C38"] = move(C38);
	l1cM["C39"] = move(C39);
	l1cM["C40"] = move(C40);
	l1cM["C41"] = move(C41);
	l1cM["C42"] = move(C42);
	l1cM["C43"] = move(C43);
	l1cM["C44"] = move(C44);
	l1cM["C45"] = move(C45);
	l1cM["C46"] = move(C46);
	l1cM["C47"] = move(C47);
	l1cM["C48"] = move(C48);

	return l1cM;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadCollisionloadLevel02()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> l1cM;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> C01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/01.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/02.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C03 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/03.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C04 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/04.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C05 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/05.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C06 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/06.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C07 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/07.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C08 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/08.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C09 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/09.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C10 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/10.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C11 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/11.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C12 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/12.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C13 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/13.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C14 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/14.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C15 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/15.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C16 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/16.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C17 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/17.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C18 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/18.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C19 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/19.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C20 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/20.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C21 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/21.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C22 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/22.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C23 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/23.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C24 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/24.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C25 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/25.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C26 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/26.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C27 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/27.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C28 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/28.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C29 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/29.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C30 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/30.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C31 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/31.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C32 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/32.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C33 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/33.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C34 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/34.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C35 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/35.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C36 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/36.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C37 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/37.obj", glm::mat4(1.0f), cam.get());
	//std::unique_ptr<Mesh> C39 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/39.obj", glm::mat4(1.0f), cam.get());
	//std::unique_ptr<Mesh> C40 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/40.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C41 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/41.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C42 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/42.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C43 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/43.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C44 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/44.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C45 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/45.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C46 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/46.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C47 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/47.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C48 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/48.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C49 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/49.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C50 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/50.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C51 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/51.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C52 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/52.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C53 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/53.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C54 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/54.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C55 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/55.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C56 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/CollisionBoxes/56.obj", glm::mat4(1.0f), cam.get());


	l1cM["C01"] = move(C01);
	l1cM["C02"] = move(C02);
	l1cM["C03"] = move(C03);
	l1cM["C04"] = move(C04);
	l1cM["C05"] = move(C05);
	l1cM["C06"] = move(C06);
	l1cM["C07"] = move(C07);
	l1cM["C08"] = move(C08);
	l1cM["C09"] = move(C09);
	l1cM["C10"] = move(C10);
	l1cM["C11"] = move(C11);
	l1cM["C12"] = move(C12);
	l1cM["C13"] = move(C13);
	l1cM["C14"] = move(C14);
	l1cM["C15"] = move(C15);
	l1cM["C16"] = move(C16);
	l1cM["C17"] = move(C17);
	l1cM["C18"] = move(C18);
	l1cM["C19"] = move(C19);
	l1cM["C20"] = move(C20);
	l1cM["C21"] = move(C21);
	l1cM["C22"] = move(C22);
	l1cM["C23"] = move(C23);
	l1cM["C24"] = move(C24);
	l1cM["C25"] = move(C25);
	l1cM["C26"] = move(C26);
	l1cM["C27"] = move(C27);
	l1cM["C28"] = move(C28);
	l1cM["C29"] = move(C29);
	l1cM["C30"] = move(C30);
	l1cM["C31"] = move(C31);
	l1cM["C32"] = move(C32);
	l1cM["C33"] = move(C33);
	l1cM["C34"] = move(C34);
	l1cM["C35"] = move(C35);
	l1cM["C36"] = move(C36);
	l1cM["C37"] = move(C37);
	//l1cM["C39"] = move(C39);
	//l1cM["C40"] = move(C40);
	l1cM["C41"] = move(C41);
	l1cM["C42"] = move(C42);
	l1cM["C43"] = move(C43);
	l1cM["C44"] = move(C44);
	l1cM["C45"] = move(C45);
	l1cM["C46"] = move(C46);
	l1cM["C47"] = move(C47);
	l1cM["C48"] = move(C48);
	l1cM["C49"] = move(C49);
	l1cM["C50"] = move(C50);
	l1cM["C51"] = move(C51);
	l1cM["C52"] = move(C52);
	l1cM["C53"] = move(C53);
	l1cM["C54"] = move(C54);
	l1cM["C55"] = move(C55);
	l1cM["C56"] = move(C56);



	return l1cM;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadCollisionloadLevel03()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> l1cM;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> C01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/01.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/02.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C03 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/03.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C04 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/04.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C05 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/05.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C06 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/06.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C07 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/07.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C08 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/08.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C09 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/09.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C10 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/10.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C11 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/11.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C12 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/12.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C13 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/13.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C14 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/14.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C15 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/15.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C16 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/16.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C17 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/17.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C18 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/18.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C19 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/19.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C20 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/20.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C21 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/21.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C22 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/22.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C23 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/23.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C24 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/24.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C25 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/25.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C26 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/26.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C27 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/27.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C28 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/28.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C29 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/29.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C30 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/30.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C31 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/31.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C32 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/32.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C33 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/33.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C34 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/34.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C35 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/35.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C36 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/CollisionBoxes/36.obj", glm::mat4(1.0f), cam.get());

	l1cM["C01"] = move(C01);
	l1cM["C02"] = move(C02);
	l1cM["C03"] = move(C03);
	l1cM["C04"] = move(C04);
	l1cM["C05"] = move(C05);
	l1cM["C06"] = move(C06);
	l1cM["C07"] = move(C07);
	l1cM["C08"] = move(C08);
	l1cM["C09"] = move(C09);
	l1cM["C10"] = move(C10);
	l1cM["C11"] = move(C11);
	l1cM["C12"] = move(C12);
	l1cM["C13"] = move(C13);
	l1cM["C14"] = move(C14);
	l1cM["C15"] = move(C15);
	l1cM["C16"] = move(C16);
	l1cM["C17"] = move(C17);
	l1cM["C18"] = move(C18);
	l1cM["C19"] = move(C19);
	l1cM["C20"] = move(C20);
	l1cM["C21"] = move(C21);
	l1cM["C22"] = move(C22);
	l1cM["C23"] = move(C23);
	l1cM["C24"] = move(C24);
	l1cM["C25"] = move(C25);
	l1cM["C26"] = move(C26);
	l1cM["C27"] = move(C27);
	l1cM["C28"] = move(C28);
	l1cM["C29"] = move(C29);
	l1cM["C30"] = move(C30);
	l1cM["C31"] = move(C31);
	l1cM["C32"] = move(C32);
	l1cM["C33"] = move(C33);
	l1cM["C34"] = move(C34);
	l1cM["C35"] = move(C35);
	l1cM["C36"] = move(C36);

	return l1cM;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadCollisionloadLevel04()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> l1cM;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> C01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/01.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/02.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C03 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/03.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C04 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/04.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C05 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/05.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C06 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/06.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C07 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/07.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C08 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/08.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C09 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/09.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C10 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/10.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C11 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/11.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C12 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/12.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C13 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/13.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C14 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/14.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C15 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/15.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C16 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/16.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C17 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/17.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C18 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/18.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C19 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/19.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C20 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/20.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C21 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/21.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C22 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/22.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C23 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/23.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C24 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/24.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C25 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/25.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> C26 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/CollisionBoxes/26.obj", glm::mat4(1.0f), cam.get());

	l1cM["C01"] = move(C01);
	l1cM["C02"] = move(C02);
	l1cM["C03"] = move(C03);
	l1cM["C04"] = move(C04);
	l1cM["C05"] = move(C05);
	l1cM["C06"] = move(C06);
	l1cM["C07"] = move(C07);
	l1cM["C08"] = move(C08);
	l1cM["C09"] = move(C09);
	l1cM["C10"] = move(C10);
	l1cM["C11"] = move(C11);
	l1cM["C12"] = move(C12);
	l1cM["C13"] = move(C13);
	l1cM["C14"] = move(C14);
	l1cM["C15"] = move(C15);
	l1cM["C16"] = move(C16);
	l1cM["C17"] = move(C17);
	l1cM["C18"] = move(C18);
	l1cM["C19"] = move(C19);
	l1cM["C20"] = move(C20);
	l1cM["C21"] = move(C21);
	l1cM["C22"] = move(C22);
	l1cM["C23"] = move(C23);
	l1cM["C24"] = move(C24);
	l1cM["C25"] = move(C25);
	l1cM["C26"] = move(C26);

	return l1cM;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadCollisionloadLevel05()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> l5cM;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	return l5cM;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadLevel01()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> sL1;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> grass = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/grass.obj", glm::mat4(1.0f), cam.get());
	sL1["grass01"] = move(grass);

	std::unique_ptr<Mesh> land = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/land.obj", glm::mat4(1.0f), cam.get());
	sL1["land01"] = move(land);

	std::unique_ptr<Mesh> mushrooms = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/mushrooms.obj", glm::mat4(1.0f), cam.get());
	sL1["mushrooms01"] = move(mushrooms);

	std::unique_ptr<Mesh> pinetree = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/pinetree.obj", glm::mat4(1.0f), cam.get());
	sL1["pinetree01"] = move(pinetree);

	std::unique_ptr<Mesh> rock = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/rock.obj", glm::mat4(1.0f), cam.get());
	sL1["rock01"] = move(rock);

	std::unique_ptr<Mesh> tree = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/tree.obj", glm::mat4(1.0f), cam.get());
	sL1["tree01"] = move(tree);

	std::unique_ptr<Mesh> treetrunk = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/treetrunks.obj", glm::mat4(1.0f), cam.get());
	sL1["treetrunk01"] = move(treetrunk);

	std::unique_ptr<Mesh> warp01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/warpLevel01.obj", glm::mat4(1.0f), cam.get());
	sL1["warp01"] = move(warp01);

	std::unique_ptr<Mesh> warpLevel01effect = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/warpLevel01effect.obj", glm::mat4(1.0f), cam.get());
	sL1["warp01effect"] = move(warpLevel01effect);
	sL1["warp01effect"]->modelMatrix = glm::translate(sL1["warp01effect"]->modelMatrix, glm::vec3(-0.22912f, 0.0f, -52.14235f));
	sL1["warp01effect"]->eaten = true;


	return sL1;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadLevel02()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> sL2;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> bg_background = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/bg_background.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> treeWay = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/treeWay.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> bareTree = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/bareTree.obj", glm::mat4(1.0f), cam.get());
	//std::unique_ptr<Mesh> mushroomBig = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/mushroomBig.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> mushroomgroup = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/mushroomgroup.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> mushroomMedium = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/mushroomMedium.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> plank = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/plank.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> rock = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/rock.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> warp02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/warp02.obj", glm::mat4(1.0f), cam.get());
	//sL2["bg_mountain02"] = move(bg_background);
	sL2["treeWay02"] = move(treeWay);
	sL2["bareTree02"] = move(bareTree);
	//sL2["mushroomsBig02"] = move(mushroomBig);
	sL2["mushroomgroup02"] = move(mushroomgroup);
	sL2["mushroomMedium02"] = move(mushroomMedium); 
	sL2["plank02"] = move(plank);
	sL2["rock02"] = move(rock);
	sL2["warp02"] = move(warp02);

	std::unique_ptr<Mesh> warpLevel02effect = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/warpLevel02effect.obj", glm::mat4(1.0f), cam.get());
	sL2["warp02effect"] = move(warpLevel02effect);
	sL2["warp02effect"]->modelMatrix = glm::translate(sL2["warp02effect"]->modelMatrix, glm::vec3(-1.56217f, 0.0f, 57.37879f));


	return sL2;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadLevel03()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> sL3;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> barrel = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/barrel.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> bridge = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/bridge.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> crate = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/crate.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> grass = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/grass.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> land = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/land.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> tree = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/tree.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> rock = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/rock.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> pinetree = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/pinetree.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> mushrooms = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/mushrooms.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> activator = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/activator.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> stone = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/stone.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> warp = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/warp3.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> monolith = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/monolith.obj", glm::mat4(1.0f), cam.get());
	
	sL3["monolith"] = move(monolith);
	sL3["barrel03"] = move(barrel);
	sL3["bridge03"] = move(bridge);
	sL3["crate03"] = move(crate);
	sL3["grass03"] = move(grass);
	sL3["land03"] = move(land);
	sL3["tree03"] = move(tree);
	sL3["rock03"] = move(rock);
	sL3["pinetree03"] = move(pinetree);
	sL3["mushrooms03"] = move(mushrooms);
	sL3["stone03"] = move(stone);
	sL3["activator03"] = move(activator);
	sL3["warp03"] = move(warp);

	std::unique_ptr<Mesh> warpLevel03effect = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/warpLevel03effect.obj", glm::mat4(1.0f), cam.get());
	sL3["warp03effect"] = move(warpLevel03effect);
	sL3["warp03effect"]->modelMatrix = glm::translate(sL3["warp03effect"]->modelMatrix, glm::vec3(40.65f, 0.0f, 0.02f));

	return sL3;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadLevel04()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> sL4;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	
	std::unique_ptr<Mesh> crystals = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/crystals.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> land = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/land.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> rock = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/rock.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> spike1 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/spike1.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> spike2 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/spike2.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> spike3 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/spike3.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> female = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level04/female.obj", glm::mat4(1.0f), cam.get());

	
	sL4["crystals04"] = move(crystals);
	sL4["land04"] = move(land);
	sL4["rock04"] = move(rock);
	sL4["spike104"] = move(spike1);
	sL4["spike204"] = move(spike2);
	sL4["spike304"] = move(spike3);
	sL4["female04"] = move(female);


	return sL4;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadLevel05()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> sL5;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	return sL5;
}

std::unordered_map<std::string, std::unique_ptr<scene::Mesh>> Inbetween::Ressources::LoadRessources::loadindependentMesh()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> independentMesh;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> player = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Mesh/player.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> enemy = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Mesh/player2.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> heart = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Mesh/heart.obj", glm::mat4(1.0f), cam.get());

	return independentMesh;
}

std::unordered_map<std::string, std::unique_ptr<Mesh>> LoadRessources::loadCollectibles01()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> oC;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> melon01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/melon.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> melon02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/melon.obj", glm::mat4(1.0f), cam.get());


	melon01->modelMatrix = glm::translate(melon01->modelMatrix, glm::vec3(-5.9f, 3.5f, 24.17f));
 	melon02->modelMatrix = glm::translate(melon02->modelMatrix, glm::vec3(9.66f, 6.3f, 13.06));
 	oC["melon01"] = move(melon01);
 	oC["melon02"] = move(melon02);

	return oC;
}

std::unordered_map<std::string, std::unique_ptr<Mesh>> LoadRessources::loadCollectibles02()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> oC;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> apple01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/apple.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> apple02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/apple.obj", glm::mat4(1.0f), cam.get());


	apple01->modelMatrix = glm::translate(apple01->modelMatrix, glm::vec3(-2.0f, 0.5f, -20.0f));
	apple02->modelMatrix = glm::translate(apple02->modelMatrix, glm::vec3(-3.0f, 2.5f, 27.0f));
	oC["apple01"] = move(apple01);
	oC["apple02"] = move(apple02);

	return oC;
}

std::unordered_map<std::string, std::unique_ptr<Mesh>> LoadRessources::loadCollectibles03()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> oC;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> melon01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/melon.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> melon02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/melon.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> melon03 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/melon.obj", glm::mat4(1.0f), cam.get());



	melon01->modelMatrix = glm::translate(melon01->modelMatrix, glm::vec3(5.0f, 2.0f, -4.5f));
	melon02->modelMatrix = glm::translate(melon02->modelMatrix, glm::vec3(45.0f, 0.5f, 0.0f));
	melon03->modelMatrix = glm::translate(melon03->modelMatrix, glm::vec3(5.0f, 3.0f, 0.0f));

	oC["melon01"] = move(melon01);
	oC["melon02"] = move(melon02);
	oC["melon03"] = move(melon03);



	return oC;
}

std::unordered_map<std::string, std::unique_ptr<Mesh>> LoadRessources::loadCollectibles04()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> oC;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> apple01 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/apple.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> apple02 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Collectibles/apple.obj", glm::mat4(1.0f), cam.get());


	apple01->modelMatrix = glm::translate(apple01->modelMatrix, glm::vec3(25.0f, 3.5f, 17.0f));
	oC["apple01"] = move(apple01);

	return oC;
}

std::unordered_map<std::string, std::unique_ptr<Mesh>> LoadRessources::loadEnemies01()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> oC;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> movingStone1 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/movingStone.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> movingStone2 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level01/movingStone2.obj", glm::mat4(1.0f), cam.get());

	oC["movingStone01"] = move(movingStone1);
	oC["movingStone02"] = move(movingStone2);

	return oC;
}

std::unordered_map<std::string, std::unique_ptr<Mesh>> LoadRessources::loadEnemies02()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> oC;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> enemy1 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Mesh/player2.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> enemy2 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Mesh/player2.obj", glm::mat4(1.0f), cam.get());
	std::unique_ptr<Mesh> enemy3 = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level02/fallenTree.obj", glm::mat4(1.0f), cam.get());

	oC["enemy01"] = move(enemy1);
	oC["enemy02"] = move(enemy2);
	oC["enemy03"] = move(enemy3);


	oC["enemy01"]->modelMatrix = glm::translate(oC["enemy01"]->modelMatrix, glm::vec3(0.0f, 0.0f, -20.5f));
	oC["enemy02"]->modelMatrix = glm::translate(oC["enemy02"]->modelMatrix, glm::vec3(0.0f, 0.0f, -4.0f));
	oC["enemy03"]->modelMatrix = glm::translate(oC["enemy03"]->modelMatrix, glm::vec3(-2.0f, 0.0f, 45.0f));



	return oC;
}
std::unordered_map<std::string, std::unique_ptr<Mesh>> LoadRessources::loadEnemies03()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> oC;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	std::unique_ptr<Mesh> spikes = std::make_unique<Mesh>("../cgue17--Inbetween-/Inbetween/Resources/Level03/spikes.obj", glm::mat4(1.0f), cam.get());
	oC["spikes03"] = move(spikes);


	return oC;
}
std::unordered_map<std::string, std::unique_ptr<Mesh>> LoadRessources::loadEnemies04()
{
	std::unordered_map<std::string, std::unique_ptr<Mesh>> oC;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	cam->useShader();

	return oC;

}

std::unordered_map<std::string, std::unique_ptr<Texture>> Inbetween::Ressources::LoadRessources::loadTexture()
{
	std::unordered_map<std::string, std::unique_ptr<Texture>> oT;

	std::unique_ptr<Texture> player = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/player.png");
	oT["player"] = move(player);

	//-------------LEVEL-01--------------------------------------------------------------------------------------------------------------------
	std::unique_ptr<Texture> grass = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/grass.png");
	oT["grass01"] = move(grass);

	std::unique_ptr<Texture> mushrooms = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/mushrooms.png");
	oT["mushrooms01"] = move(mushrooms);

	std::unique_ptr<Texture> pinetree = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/pinetree.png");
	oT["pinetree01"] = move(pinetree);

	std::unique_ptr<Texture> rock = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/rock.png");
	oT["rock01"] = move(rock);

	std::unique_ptr<Texture> land = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/grass.png");
	oT["land01"] = move(land);

	std::unique_ptr<Texture> tree = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/tree.png");
	oT["tree01"] = move(tree);

	std::unique_ptr<Texture> treetrunks = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/treetrunks.png");
	oT["treetrunk01"] = move(treetrunks);

	std::unique_ptr<Texture> bg_mountain = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/bg_mountain.png");
	oT["bg_mountain02"] = move(bg_mountain);

	std::unique_ptr<Texture> mushroomgroup = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/mushroomgroup.png");
	oT["mushroomgroup02"] = move(mushroomgroup);

	std::unique_ptr<Texture> mushroomMedium = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/mushroomMedium.png");
	oT["mushroomMedium02"] = move(mushroomMedium);

	std::unique_ptr<Texture> bareTree = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/wood.png");
	oT["bareTree02"] = move(bareTree);

	//std::unique_ptr<Texture> mushroomsBig = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/mushroomsBig.png");
	//oT["mushroomsBig02"] = move(mushroomsBig);

	std::unique_ptr<Texture> rock2 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/rock.png");
	oT["rock02"] = move(rock2);

	std::unique_ptr<Texture> treeWay = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/treeWay.png");
	oT["treeWay02"] = move(treeWay);

	std::unique_ptr<Texture> plank = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/plank.png");
	oT["plank02"] = move(plank);

	std::unique_ptr<Texture> movingStone1 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/rock.png");
	oT["movingStone01"] = move(movingStone1);

	std::unique_ptr<Texture> movingStone2 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/rock.png");
	oT["movingStone02"] = move(movingStone2);

	std::unique_ptr<Texture> heart = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/heart.png");
	oT["heart"] = move(heart);

	std::unique_ptr<Texture> warp01 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/warp.png");
	oT["warp01"] = move(warp01);

	std::unique_ptr<Texture> warp01effect = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/warpeffect.png");
	oT["warp01effect"] = move(warp01effect);

	std::unique_ptr<Texture> warp02effect = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/warpeffect.png");
	oT["warp02effect"] = move(warp02effect);

	std::unique_ptr<Texture> warp03effect = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level01/warpeffect.png");
	oT["warp03effect"] = move(warp03effect);

	std::unique_ptr<Texture> warp02 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/warp.png");
	oT["warp02"] = move(warp02);

	std::unique_ptr<Texture> warp03 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/warp.png");
	oT["warp03"] = move(warp03);


	std::unique_ptr<Texture> enemy1 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/enemy.png");
	oT["enemy01"] = move(enemy1); 

	std::unique_ptr<Texture> enemy2 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/enemy.png");
	oT["enemy02"] = move(enemy2);

	std::unique_ptr<Texture> enemy3 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level02/skullblade.png");
	oT["enemy03"] = move(enemy3);

	std::unique_ptr<Texture> barrel = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/barrel.png");
	oT["barrel03"] = move(barrel);

	std::unique_ptr<Texture> crate = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/crate.png");
	oT["crate03"] = move(crate);

	std::unique_ptr<Texture> bridge = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/bridge.png");
	oT["bridge03"] = move(bridge);

	std::unique_ptr<Texture> grass3 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/grass.png");
	oT["grass03"] = move(grass3);

	std::unique_ptr<Texture> land3 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/land.png");
	oT["land03"] = move(land3);

	std::unique_ptr<Texture> tree3 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/tree.png");
	oT["tree03"] = move(tree3);

	std::unique_ptr<Texture> monolith = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/monolith.png");
	oT["monolith"] = move(monolith);

	std::unique_ptr<Texture> pinetree3 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/pine.png");
	oT["pinetree03"] = move(pinetree3);

	std::unique_ptr<Texture> cave = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/cave.png");
	oT["rock03"] = move(cave);

	std::unique_ptr<Texture> mushrooms3 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/mushroomgroup.png");
	oT["mushrooms03"] = move(mushrooms3);

	std::unique_ptr<Texture> stone = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/cave.png");
	oT["stone03"] = move(stone);

	std::unique_ptr<Texture> activator = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/cave.png");
	oT["activator03"] = move(activator);

	std::unique_ptr<Texture> spikes = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level03/cave.png");
	oT["spikes03"] = move(spikes);

	std::unique_ptr<Texture> boss = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/boss.png");
	oT["boss04"] = move(boss);

	std::unique_ptr<Texture> boss2 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/bosshurt.png");
	oT["boss04hurt"] = move(boss2);

	std::unique_ptr<Texture> land4 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/land.png");
	oT["land04"] = move(land4);

	std::unique_ptr<Texture> rock4 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/rock.png");
	oT["rock04"] = move(rock4);

	std::unique_ptr<Texture> crystals = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/crystals.png");
	oT["crystals04"] = move(crystals);

	std::unique_ptr<Texture> spike14 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/crystals.png");
	oT["spike104"] = move(spike14);

	std::unique_ptr<Texture> spike24 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/crystals.png");
	oT["spike204"] = move(spike24);

	std::unique_ptr<Texture> spike34 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/crystals.png");
	oT["spike304"] = move(spike34);

	std::unique_ptr<Texture> female = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Resources/Level04/female.png");
	oT["female04"] = move(female);


	std::unique_ptr<Texture> melon01 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/melon.png");
	std::unique_ptr<Texture> melon02 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/melon.png");
	std::unique_ptr<Texture> melon03 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/melon.png");

	oT["melon01"] = move(melon01);
	oT["melon02"] = move(melon02);
	oT["melon03"] = move(melon03);


	std::unique_ptr<Texture> apple01 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/apple.png");
	std::unique_ptr<Texture> apple02 = std::make_unique<Texture>("../cgue17--Inbetween-/Inbetween/Textures/apple.png");
	oT["apple01"] = move(apple01);
	oT["apple02"] = move(apple02);
	//-------------LEVEL-01--------------------------------------------------------------------------------------------------------------------


	return oT;
};

std::unordered_map<std::string, std::unique_ptr<Shader>> LoadRessources::loadShader()
{
	std::unordered_map<std::string, std::unique_ptr<Shader>> oS;

	std::unique_ptr<Shader> cam = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/cam.vert", "../cgue17--Inbetween-/Inbetween/Shader/cam.frag");
	std::unique_ptr<Shader> bbox_shader = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/lighting.vert", "../cgue17--Inbetween-/Inbetween/Shader/lighting.frag");
	std::unique_ptr<Shader> skybox = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/skybox.vert", "../cgue17--Inbetween-/Inbetween/Shader/skybox.frag");
	std::unique_ptr<Shader> hdr = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/hdr.vert", "../cgue17--Inbetween-/Inbetween/Shader/hdr.frag");
	std::unique_ptr<Shader> simpleDepthShader = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/simpleDepthShader.vert", "../cgue17--Inbetween-/Inbetween/Shader/simpleDepthShader.frag");
	std::unique_ptr<Shader> blur = std::make_unique<Shader>("../cgue17--Inbetween-/Inbetween/Shader/blur.vert", "../cgue17--Inbetween-/Inbetween/Shader/blur.frag");

	oS["cam"] = move(cam);
	oS["bbox_shader"] = move(bbox_shader);
	oS["blur"] = move(blur);
	oS["skybox"] = move(skybox);
	oS["hdr"] = move(hdr);
	oS["simpleDepthShader"] = move(simpleDepthShader);
	return oS;
};
